com.amazonaws.services.lambda

## Class AbstractAWSLambdaAsync

- java.lang.Object
- - com.amazonaws.services.lambda.AbstractAWSLambda
  - - com.amazonaws.services.lambda.AbstractAWSLambdaAsync

All Implemented Interfaces:
  AWSLambda, AWSLambdaAsync

    public class AbstractAWSLambdaAsync
    extends AbstractAWSLambda
    implements AWSLambdaAsync

Abstract implementation of `AWSLambdaAsync`. Convenient method forms pass through to the corresponding overload that takes a request object and an `AsyncHandler`, which throws an `UnsupportedOperationException`.

### Field Summary

### Fields inherited from interface com.amazonaws.services.lambda.AWSLambda

`ENDPOINT_PREFIX`

### Constructor Summary

Constructors
`protected` `AbstractAWSLambdaAsync()`

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`Future<AddPermissionResult>` `addPermissionAsync(AddPermissionRequest request)` Adds a permission to the resource policy associated with the specified AWS Lambda function.
`Future<AddPermissionResult>` `addPermissionAsync(AddPermissionRequest request, AsyncHandler<AddPermissionRequest,AddPermissionResult> asyncHandler)` Adds a permission to the resource policy associated with the specified AWS Lambda function.
`Future<CreateAliasResult>` `createAliasAsync(CreateAliasRequest request)` Creates an alias that points to the specified Lambda function version.
`Future<CreateAliasResult>` `createAliasAsync(CreateAliasRequest request, AsyncHandler<CreateAliasRequest,CreateAliasResult> asyncHandler)` Creates an alias that points to the specified Lambda function version.
`Future<CreateEventSourceMappingResult>` `createEventSourceMappingAsync(CreateEventSourceMappingRequest request)` Identifies a stream as an event source for a Lambda function.
`Future<CreateEventSourceMappingResult>` `createEventSourceMappingAsync(CreateEventSourceMappingRequest request, AsyncHandler<CreateEventSourceMappingRequest,CreateEventSourceMappingResult> asyncHandler)` Identifies a stream as an event source for a Lambda function.
`Future<CreateFunctionResult>` `createFunctionAsync(CreateFunctionRequest request)` Creates a new Lambda function.
`Future<CreateFunctionResult>` `createFunctionAsync(CreateFunctionRequest request, AsyncHandler<CreateFunctionRequest,CreateFunctionResult> asyncHandler)` Creates a new Lambda function.
`Future<DeleteAliasResult>` `deleteAliasAsync(DeleteAliasRequest request)` Deletes the specified Lambda function alias.
`Future<DeleteAliasResult>` `deleteAliasAsync(DeleteAliasRequest request, AsyncHandler<DeleteAliasRequest,DeleteAliasResult> asyncHandler)` Deletes the specified Lambda function alias.
`Future<DeleteEventSourceMappingResult>` `deleteEventSourceMappingAsync(DeleteEventSourceMappingRequest request)` Removes an event source mapping.
`Future<DeleteEventSourceMappingResult>` `deleteEventSourceMappingAsync(DeleteEventSourceMappingRequest request, AsyncHandler<DeleteEventSourceMappingRequest,DeleteEventSourceMappingResult> asyncHandler)` Removes an event source mapping.
`Future<DeleteFunctionResult>` `deleteFunctionAsync(DeleteFunctionRequest request)` Deletes the specified Lambda function code and configuration.
`Future<DeleteFunctionResult>` `deleteFunctionAsync(DeleteFunctionRequest request, AsyncHandler<DeleteFunctionRequest,DeleteFunctionResult> asyncHandler)` Deletes the specified Lambda function code and configuration.
`Future<GetAccountSettingsResult>` `getAccountSettingsAsync(GetAccountSettingsRequest request)` Returns a customer's account settings.
`Future<GetAccountSettingsResult>` `getAccountSettingsAsync(GetAccountSettingsRequest request, AsyncHandler<GetAccountSettingsRequest,GetAccountSettingsResult> asyncHandler)` Returns a customer's account settings.
`Future<GetAliasResult>` `getAliasAsync(GetAliasRequest request)` Returns the specified alias information such as the alias ARN, description, and function version it is pointing to.
`Future<GetAliasResult>` `getAliasAsync(GetAliasRequest request, AsyncHandler<GetAliasRequest,GetAliasResult> asyncHandler)` Returns the specified alias information such as the alias ARN, description, and function version it is pointing to.
`Future<GetEventSourceMappingResult>` `getEventSourceMappingAsync(GetEventSourceMappingRequest request)` Returns configuration information for the specified event source mapping (see CreateEventSourceMapping).
`Future<GetEventSourceMappingResult>` `getEventSourceMappingAsync(GetEventSourceMappingRequest request, AsyncHandler<GetEventSourceMappingRequest,GetEventSourceMappingResult> asyncHandler)` Returns configuration information for the specified event source mapping (see CreateEventSourceMapping).
`Future<GetFunctionResult>` `getFunctionAsync(GetFunctionRequest request)` Returns the configuration information of the Lambda function and a presigned URL link to the .zip file you uploaded with CreateFunction so you can download the .zip file.
`Future<GetFunctionResult>` `getFunctionAsync(GetFunctionRequest request, AsyncHandler<GetFunctionRequest,GetFunctionResult> asyncHandler)` Returns the configuration information of the Lambda function and a presigned URL link to the .zip file you uploaded with CreateFunction so you can download the .zip file.
`Future<GetFunctionConfigurationResult>` `getFunctionConfigurationAsync(GetFunctionConfigurationRequest request)` Returns the configuration information of the Lambda function.
`Future<GetFunctionConfigurationResult>` `getFunctionConfigurationAsync(GetFunctionConfigurationRequest request, AsyncHandler<GetFunctionConfigurationRequest,GetFunctionConfigurationResult> asyncHandler)` Returns the configuration information of the Lambda function.
`Future<GetPolicyResult>` `getPolicyAsync(GetPolicyRequest request)` Returns the resource policy associated with the specified Lambda function.
`Future<GetPolicyResult>` `getPolicyAsync(GetPolicyRequest request, AsyncHandler<GetPolicyRequest,GetPolicyResult> asyncHandler)` Returns the resource policy associated with the specified Lambda function.
`Future<InvokeResult>` `invokeAsync(InvokeRequest request)` Invokes a specific Lambda function.
`Future<InvokeResult>` `invokeAsync(InvokeRequest request, AsyncHandler<InvokeRequest,InvokeResult> asyncHandler)` Invokes a specific Lambda function.
`Future<InvokeAsyncResult>` `invokeAsyncAsync(InvokeAsyncRequest request)` Deprecated.
`Future<InvokeAsyncResult>` `invokeAsyncAsync(InvokeAsyncRequest request, AsyncHandler<InvokeAsyncRequest,InvokeAsyncResult> asyncHandler)` Deprecated.
`Future<ListAliasesResult>` `listAliasesAsync(ListAliasesRequest request)` Returns list of aliases created for a Lambda function.
`Future<ListAliasesResult>` `listAliasesAsync(ListAliasesRequest request, AsyncHandler<ListAliasesRequest,ListAliasesResult> asyncHandler)` Returns list of aliases created for a Lambda function.
`Future<ListEventSourceMappingsResult>` `listEventSourceMappingsAsync()` Simplified method form for invoking the ListEventSourceMappings operation.
`Future<ListEventSourceMappingsResult>` `listEventSourceMappingsAsync(AsyncHandler<ListEventSourceMappingsRequest,ListEventSourceMappingsResult> asyncHandler)` Simplified method form for invoking the ListEventSourceMappings operation with an AsyncHandler.
`Future<ListEventSourceMappingsResult>` `listEventSourceMappingsAsync(ListEventSourceMappingsRequest request)` Returns a list of event source mappings you created using the `CreateEventSourceMapping` (see CreateEventSourceMapping).
`Future<ListEventSourceMappingsResult>` `listEventSourceMappingsAsync(ListEventSourceMappingsRequest request, AsyncHandler<ListEventSourceMappingsRequest,ListEventSourceMappingsResult> asyncHandler)` Returns a list of event source mappings you created using the `CreateEventSourceMapping` (see CreateEventSourceMapping).
`Future<ListFunctionsResult>` `listFunctionsAsync()` Simplified method form for invoking the ListFunctions operation.
`Future<ListFunctionsResult>` `listFunctionsAsync(AsyncHandler<ListFunctionsRequest,ListFunctionsResult> asyncHandler)` Simplified method form for invoking the ListFunctions operation with an AsyncHandler.
`Future<ListFunctionsResult>` `listFunctionsAsync(ListFunctionsRequest request)` Returns a list of your Lambda functions.
`Future<ListFunctionsResult>` `listFunctionsAsync(ListFunctionsRequest request, AsyncHandler<ListFunctionsRequest,ListFunctionsResult> asyncHandler)` Returns a list of your Lambda functions.
`Future<ListVersionsByFunctionResult>` `listVersionsByFunctionAsync(ListVersionsByFunctionRequest request)` List all versions of a function.
`Future<ListVersionsByFunctionResult>` `listVersionsByFunctionAsync(ListVersionsByFunctionRequest request, AsyncHandler<ListVersionsByFunctionRequest,ListVersionsByFunctionResult> asyncHandler)` List all versions of a function.
`Future<PublishVersionResult>` `publishVersionAsync(PublishVersionRequest request)` Publishes a version of your function from the current snapshot of $LATEST.
`Future<PublishVersionResult>` `publishVersionAsync(PublishVersionRequest request, AsyncHandler<PublishVersionRequest,PublishVersionResult> asyncHandler)` Publishes a version of your function from the current snapshot of $LATEST.
`Future<RemovePermissionResult>` `removePermissionAsync(RemovePermissionRequest request)` You can remove individual permissions from an resource policy associated with a Lambda function by providing a statement ID that you provided when you added the permission.
`Future<RemovePermissionResult>` `removePermissionAsync(RemovePermissionRequest request, AsyncHandler<RemovePermissionRequest,RemovePermissionResult> asyncHandler)` You can remove individual permissions from an resource policy associated with a Lambda function by providing a statement ID that you provided when you added the permission.
`Future<UpdateAliasResult>` `updateAliasAsync(UpdateAliasRequest request)` Using this API you can update the function version to which the alias points and the alias description.
`Future<UpdateAliasResult>` `updateAliasAsync(UpdateAliasRequest request, AsyncHandler<UpdateAliasRequest,UpdateAliasResult> asyncHandler)` Using this API you can update the function version to which the alias points and the alias description.
`Future<UpdateEventSourceMappingResult>` `updateEventSourceMappingAsync(UpdateEventSourceMappingRequest request)` You can update an event source mapping.
`Future<UpdateEventSourceMappingResult>` `updateEventSourceMappingAsync(UpdateEventSourceMappingRequest request, AsyncHandler<UpdateEventSourceMappingRequest,UpdateEventSourceMappingResult> asyncHandler)` You can update an event source mapping.
`Future<UpdateFunctionCodeResult>` `updateFunctionCodeAsync(UpdateFunctionCodeRequest request)` Updates the code for the specified Lambda function.
`Future<UpdateFunctionCodeResult>` `updateFunctionCodeAsync(UpdateFunctionCodeRequest request, AsyncHandler<UpdateFunctionCodeRequest,UpdateFunctionCodeResult> asyncHandler)` Updates the code for the specified Lambda function.
`Future<UpdateFunctionConfigurationResult>` `updateFunctionConfigurationAsync(UpdateFunctionConfigurationRequest request)` Updates the configuration parameters for the specified Lambda function by using the values provided in the request.
`Future<UpdateFunctionConfigurationResult>` `updateFunctionConfigurationAsync(UpdateFunctionConfigurationRequest request, AsyncHandler<UpdateFunctionConfigurationRequest,UpdateFunctionConfigurationResult> asyncHandler)` Updates the configuration parameters for the specified Lambda function by using the values provided in the request.

### Methods inherited from class com.amazonaws.services.lambda.AbstractAWSLambda

`addPermission, createAlias, createEventSourceMapping, createFunction, deleteAlias, deleteEventSourceMapping, deleteFunction, getAccountSettings, getAlias, getCachedResponseMetadata, getEventSourceMapping, getFunction, getFunctionConfiguration, getPolicy, invoke, invokeAsync, listAliases, listEventSourceMappings, listEventSourceMappings, listFunctions, listFunctions, listVersionsByFunction, publishVersion, removePermission, setEndpoint, setRegion, shutdown, updateAlias, updateEventSourceMapping, updateFunctionCode, updateFunctionConfiguration`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface com.amazonaws.services.lambda.AWSLambda

`addPermission, createAlias, createEventSourceMapping, createFunction, deleteAlias, deleteEventSourceMapping, deleteFunction, getAccountSettings, getAlias, getCachedResponseMetadata, getEventSourceMapping, getFunction, getFunctionConfiguration, getPolicy, invoke, invokeAsync, listAliases, listEventSourceMappings, listEventSourceMappings, listFunctions, listFunctions, listVersionsByFunction, publishVersion, removePermission, setEndpoint, setRegion, shutdown, updateAlias, updateEventSourceMapping, updateFunctionCode, updateFunctionConfiguration`

### Constructor Detail

#### AbstractAWSLambdaAsync

    protected AbstractAWSLambdaAsync()

### Method Detail

#### addPermissionAsync

    public Future<AddPermissionResult> addPermissionAsync(AddPermissionRequest request)

Description copied from interface: `AWSLambdaAsync`

Adds a permission to the resource policy associated with the specified AWS Lambda function. You use resource policies to grant permissions to event sources that use push model. In a push model, event sources (such as Amazon S3 and custom applications) invoke your Lambda function. Each permission you add to the resource policy allows an event source, permission to invoke the Lambda function.

For information about the push model, see AWS Lambda: How it Works.

If you are using versioning, the permissions you add are specific to the Lambda function version or alias you specify in the `AddPermission` request via the `Qualifier` parameter. For more information about versioning, see AWS Lambda Function Versioning and Aliases.

This operation requires permission for the `lambda:AddPermission` action.

Specified by:
  `addPermissionAsync` in interface `AWSLambdaAsync`
Returns:
  A Java Future containing the result of the AddPermission operation returned by the service.

#### addPermissionAsync

    public Future<AddPermissionResult> addPermissionAsync(AddPermissionRequest request,
                                                          AsyncHandler<AddPermissionRequest,AddPermissionResult> asyncHandler)

Description copied from interface: `AWSLambdaAsync`

Adds a permission to the resource policy associated with the specified AWS Lambda function. You use resource policies to grant permissions to event sources that use push model. In a push model, event sources (such as Amazon S3 and custom applications) invoke your Lambda function. Each permission you add to the resource policy allows an event source, permission to invoke the Lambda function.

For information about the push model, see AWS Lambda: How it Works.

If you are using versioning, the permissions you add are specific to the Lambda function version or alias you specify in the `AddPermission` request via the `Qualifier` parameter. For more information about versioning, see AWS Lambda Function Versioning and Aliases.

This operation requires permission for the `lambda:AddPermission` action.

Specified by:
  `addPermissionAsync` in interface `AWSLambdaAsync`
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the AddPermission operation returned by the service.

#### createAliasAsync

    public Future<CreateAliasResult> createAliasAsync(CreateAliasRequest request)

Description copied from interface: `AWSLambdaAsync`

Creates an alias that points to the specified Lambda function version. For more information, see Introduction to AWS Lambda Aliases.

Alias names are unique for a given function. This requires permission for the lambda:CreateAlias action.

Specified by:
  `createAliasAsync` in interface `AWSLambdaAsync`
Returns:
  A Java Future containing the result of the CreateAlias operation returned by the service.

#### createAliasAsync

    public Future<CreateAliasResult> createAliasAsync(CreateAliasRequest request,
                                                      AsyncHandler<CreateAliasRequest,CreateAliasResult> asyncHandler)

Description copied from interface: `AWSLambdaAsync`

Creates an alias that points to the specified Lambda function version. For more information, see Introduction to AWS Lambda Aliases.

Alias names are unique for a given function. This requires permission for the lambda:CreateAlias action.

Specified by:
  `createAliasAsync` in interface `AWSLambdaAsync`
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the CreateAlias operation returned by the service.

#### createEventSourceMappingAsync

    public Future<CreateEventSourceMappingResult> createEventSourceMappingAsync(CreateEventSourceMappingRequest request)

Description copied from interface: `AWSLambdaAsync`

Identifies a stream as an event source for a Lambda function. It can be either an Amazon Kinesis stream or an Amazon DynamoDB stream. AWS Lambda invokes the specified function when records are posted to the stream.

This association between a stream source and a Lambda function is called the event source mapping.

<important>

This event source mapping is relevant only in the AWS Lambda pull model, where AWS Lambda invokes the function. For more information, go to AWS Lambda: How it Works in the AWS Lambda Developer Guide.

</important>

You provide mapping information (for example, which stream to read from and which Lambda function to invoke) in the request body.

Each event source, such as an Amazon Kinesis or a DynamoDB stream, can be associated with multiple AWS Lambda function. A given Lambda function can be associated with multiple AWS event sources.

If you are using versioning, you can specify a specific function version or an alias via the function name parameter. For more information about versioning, see AWS Lambda Function Versioning and Aliases.

This operation requires permission for the `lambda:CreateEventSourceMapping` action.

Specified by:
  `createEventSourceMappingAsync` in interface `AWSLambdaAsync`
Returns:
  A Java Future containing the result of the CreateEventSourceMapping operation returned by the service.

#### createEventSourceMappingAsync

    public Future<CreateEventSourceMappingResult> createEventSourceMappingAsync(CreateEventSourceMappingRequest request,
                                                                                AsyncHandler<CreateEventSourceMappingRequest,CreateEventSourceMappingResult> asyncHandler)

Description copied from interface: `AWSLambdaAsync`

Identifies a stream as an event source for a Lambda function. It can be either an Amazon Kinesis stream or an Amazon DynamoDB stream. AWS Lambda invokes the specified function when records are posted to the stream.

This association between a stream source and a Lambda function is called the event source mapping.

<important>

This event source mapping is relevant only in the AWS Lambda pull model, where AWS Lambda invokes the function. For more information, go to AWS Lambda: How it Works in the AWS Lambda Developer Guide.

</important>

You provide mapping information (for example, which stream to read from and which Lambda function to invoke) in the request body.

Each event source, such as an Amazon Kinesis or a DynamoDB stream, can be associated with multiple AWS Lambda function. A given Lambda function can be associated with multiple AWS event sources.

If you are using versioning, you can specify a specific function version or an alias via the function name parameter. For more information about versioning, see AWS Lambda Function Versioning and Aliases.

This operation requires permission for the `lambda:CreateEventSourceMapping` action.

Specified by:
  `createEventSourceMappingAsync` in interface `AWSLambdaAsync`
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the CreateEventSourceMapping operation returned by the service.

#### createFunctionAsync

    public Future<CreateFunctionResult> createFunctionAsync(CreateFunctionRequest request)

Description copied from interface: `AWSLambdaAsync`

Creates a new Lambda function. The function metadata is created from the request parameters, and the code for the function is provided by a .zip file in the request body. If the function name already exists, the operation will fail. Note that the function name is case-sensitive.

If you are using versioning, you can also publish a version of the Lambda function you are creating using the `Publish` parameter. For more information about versioning, see AWS Lambda Function Versioning and Aliases.

This operation requires permission for the `lambda:CreateFunction` action.

Specified by:
  `createFunctionAsync` in interface `AWSLambdaAsync`
Returns:
  A Java Future containing the result of the CreateFunction operation returned by the service.

#### createFunctionAsync

    public Future<CreateFunctionResult> createFunctionAsync(CreateFunctionRequest request,
                                                            AsyncHandler<CreateFunctionRequest,CreateFunctionResult> asyncHandler)

Description copied from interface: `AWSLambdaAsync`

Creates a new Lambda function. The function metadata is created from the request parameters, and the code for the function is provided by a .zip file in the request body. If the function name already exists, the operation will fail. Note that the function name is case-sensitive.

If you are using versioning, you can also publish a version of the Lambda function you are creating using the `Publish` parameter. For more information about versioning, see AWS Lambda Function Versioning and Aliases.

This operation requires permission for the `lambda:CreateFunction` action.

Specified by:
  `createFunctionAsync` in interface `AWSLambdaAsync`
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the CreateFunction operation returned by the service.

#### deleteAliasAsync

    public Future<DeleteAliasResult> deleteAliasAsync(DeleteAliasRequest request)

Description copied from interface: `AWSLambdaAsync`

Deletes the specified Lambda function alias. For more information, see Introduction to AWS Lambda Aliases.

This requires permission for the lambda:DeleteAlias action.

Specified by:
  `deleteAliasAsync` in interface `AWSLambdaAsync`
Returns:
  A Java Future containing the result of the DeleteAlias operation returned by the service.

#### deleteAliasAsync

    public Future<DeleteAliasResult> deleteAliasAsync(DeleteAliasRequest request,
                                                      AsyncHandler<DeleteAliasRequest,DeleteAliasResult> asyncHandler)

Description copied from interface: `AWSLambdaAsync`

Deletes the specified Lambda function alias. For more information, see Introduction to AWS Lambda Aliases.

This requires permission for the lambda:DeleteAlias action.

Specified by:
  `deleteAliasAsync` in interface `AWSLambdaAsync`
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the DeleteAlias operation returned by the service.

#### deleteEventSourceMappingAsync

    public Future<DeleteEventSourceMappingResult> deleteEventSourceMappingAsync(DeleteEventSourceMappingRequest request)

Description copied from interface: `AWSLambdaAsync`

Removes an event source mapping. This means AWS Lambda will no longer invoke the function for events in the associated source.

This operation requires permission for the `lambda:DeleteEventSourceMapping` action.

Specified by:
  `deleteEventSourceMappingAsync` in interface `AWSLambdaAsync`
Returns:
  A Java Future containing the result of the DeleteEventSourceMapping operation returned by the service.

#### deleteEventSourceMappingAsync

    public Future<DeleteEventSourceMappingResult> deleteEventSourceMappingAsync(DeleteEventSourceMappingRequest request,
                                                                                AsyncHandler<DeleteEventSourceMappingRequest,DeleteEventSourceMappingResult> asyncHandler)

Description copied from interface: `AWSLambdaAsync`

Removes an event source mapping. This means AWS Lambda will no longer invoke the function for events in the associated source.

This operation requires permission for the `lambda:DeleteEventSourceMapping` action.

Specified by:
  `deleteEventSourceMappingAsync` in interface `AWSLambdaAsync`
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the DeleteEventSourceMapping operation returned by the service.

#### deleteFunctionAsync

    public Future<DeleteFunctionResult> deleteFunctionAsync(DeleteFunctionRequest request)

Description copied from interface: `AWSLambdaAsync`

Deletes the specified Lambda function code and configuration.

If you are using the versioning feature and you don't specify a function version in your `DeleteFunction` request, AWS Lambda will delete the function, including all its versions, and any aliases pointing to the function versions. To delete a specific function version, you must provide the function version via the `Qualifier` parameter. For information about function versioning, see AWS Lambda Function Versioning and Aliases.

When you delete a function the associated resource policy is also deleted. You will need to delete the event source mappings explicitly.

This operation requires permission for the `lambda:DeleteFunction` action.

Specified by:
  `deleteFunctionAsync` in interface `AWSLambdaAsync`
Returns:
  A Java Future containing the result of the DeleteFunction operation returned by the service.

#### deleteFunctionAsync

    public Future<DeleteFunctionResult> deleteFunctionAsync(DeleteFunctionRequest request,
                                                            AsyncHandler<DeleteFunctionRequest,DeleteFunctionResult> asyncHandler)

Description copied from interface: `AWSLambdaAsync`

Deletes the specified Lambda function code and configuration.

If you are using the versioning feature and you don't specify a function version in your `DeleteFunction` request, AWS Lambda will delete the function, including all its versions, and any aliases pointing to the function versions. To delete a specific function version, you must provide the function version via the `Qualifier` parameter. For information about function versioning, see AWS Lambda Function Versioning and Aliases.

When you delete a function the associated resource policy is also deleted. You will need to delete the event source mappings explicitly.

This operation requires permission for the `lambda:DeleteFunction` action.

Specified by:
  `deleteFunctionAsync` in interface `AWSLambdaAsync`
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the DeleteFunction operation returned by the service.

#### getAccountSettingsAsync

    public Future<GetAccountSettingsResult> getAccountSettingsAsync(GetAccountSettingsRequest request)

Description copied from interface: `AWSLambdaAsync`

Returns a customer's account settings.

You can use this operation to retrieve Lambda limit information such as code size and concurrency limits. For more information on limits, see AWS Lambda Limits. You can also retrieve resource usage statistics such as code storage usage and function count.

Specified by:
  `getAccountSettingsAsync` in interface `AWSLambdaAsync`
Returns:
  A Java Future containing the result of the GetAccountSettings operation returned by the service.

#### getAccountSettingsAsync

    public Future<GetAccountSettingsResult> getAccountSettingsAsync(GetAccountSettingsRequest request,
                                                                    AsyncHandler<GetAccountSettingsRequest,GetAccountSettingsResult> asyncHandler)

Description copied from interface: `AWSLambdaAsync`

Returns a customer's account settings.

You can use this operation to retrieve Lambda limit information such as code size and concurrency limits. For more information on limits, see AWS Lambda Limits. You can also retrieve resource usage statistics such as code storage usage and function count.

Specified by:
  `getAccountSettingsAsync` in interface `AWSLambdaAsync`
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the GetAccountSettings operation returned by the service.

#### getAliasAsync

    public Future<GetAliasResult> getAliasAsync(GetAliasRequest request)

Description copied from interface: `AWSLambdaAsync`

Returns the specified alias information such as the alias ARN, description, and function version it is pointing to. For more information, see Introduction to AWS Lambda Aliases.

This requires permission for the `lambda:GetAlias` action.

Specified by:
  `getAliasAsync` in interface `AWSLambdaAsync`
Returns:
  A Java Future containing the result of the GetAlias operation returned by the service.

#### getAliasAsync

    public Future<GetAliasResult> getAliasAsync(GetAliasRequest request,
                                                AsyncHandler<GetAliasRequest,GetAliasResult> asyncHandler)

Description copied from interface: `AWSLambdaAsync`

Returns the specified alias information such as the alias ARN, description, and function version it is pointing to. For more information, see Introduction to AWS Lambda Aliases.

This requires permission for the `lambda:GetAlias` action.

Specified by:
  `getAliasAsync` in interface `AWSLambdaAsync`
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the GetAlias operation returned by the service.

#### getEventSourceMappingAsync

    public Future<GetEventSourceMappingResult> getEventSourceMappingAsync(GetEventSourceMappingRequest request)

Description copied from interface: `AWSLambdaAsync`

Returns configuration information for the specified event source mapping (see CreateEventSourceMapping).

This operation requires permission for the `lambda:GetEventSourceMapping` action.

Specified by:
  `getEventSourceMappingAsync` in interface `AWSLambdaAsync`
Returns:
  A Java Future containing the result of the GetEventSourceMapping operation returned by the service.

#### getEventSourceMappingAsync

    public Future<GetEventSourceMappingResult> getEventSourceMappingAsync(GetEventSourceMappingRequest request,
                                                                          AsyncHandler<GetEventSourceMappingRequest,GetEventSourceMappingResult> asyncHandler)

Description copied from interface: `AWSLambdaAsync`

Returns configuration information for the specified event source mapping (see CreateEventSourceMapping).

This operation requires permission for the `lambda:GetEventSourceMapping` action.

Specified by:
  `getEventSourceMappingAsync` in interface `AWSLambdaAsync`
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the GetEventSourceMapping operation returned by the service.

#### getFunctionAsync

    public Future<GetFunctionResult> getFunctionAsync(GetFunctionRequest request)

Description copied from interface: `AWSLambdaAsync`

Returns the configuration information of the Lambda function and a presigned URL link to the .zip file you uploaded with CreateFunction so you can download the .zip file. Note that the URL is valid for up to 10 minutes. The configuration information is the same information you provided as parameters when uploading the function.

Using the optional `Qualifier` parameter, you can specify a specific function version for which you want this information. If you don't specify this parameter, the API uses unqualified function ARN which return information about the `$LATEST` version of the Lambda function. For more information, see AWS Lambda Function Versioning and Aliases.

This operation requires permission for the `lambda:GetFunction` action.

Specified by:
  `getFunctionAsync` in interface `AWSLambdaAsync`
Returns:
  A Java Future containing the result of the GetFunction operation returned by the service.

#### getFunctionAsync

    public Future<GetFunctionResult> getFunctionAsync(GetFunctionRequest request,
                                                      AsyncHandler<GetFunctionRequest,GetFunctionResult> asyncHandler)

Description copied from interface: `AWSLambdaAsync`

Returns the configuration information of the Lambda function and a presigned URL link to the .zip file you uploaded with CreateFunction so you can download the .zip file. Note that the URL is valid for up to 10 minutes. The configuration information is the same information you provided as parameters when uploading the function.

Using the optional `Qualifier` parameter, you can specify a specific function version for which you want this information. If you don't specify this parameter, the API uses unqualified function ARN which return information about the `$LATEST` version of the Lambda function. For more information, see AWS Lambda Function Versioning and Aliases.

This operation requires permission for the `lambda:GetFunction` action.

Specified by:
  `getFunctionAsync` in interface `AWSLambdaAsync`
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the GetFunction operation returned by the service.

#### getFunctionConfigurationAsync

    public Future<GetFunctionConfigurationResult> getFunctionConfigurationAsync(GetFunctionConfigurationRequest request)

Description copied from interface: `AWSLambdaAsync`

Returns the configuration information of the Lambda function. This the same information you provided as parameters when uploading the function by using CreateFunction.

If you are using the versioning feature, you can retrieve this information for a specific function version by using the optional `Qualifier` parameter and specifying the function version or alias that points to it. If you don't provide it, the API returns information about the $LATEST version of the function. For more information about versioning, see AWS Lambda Function Versioning and Aliases.

This operation requires permission for the `lambda:GetFunctionConfiguration` operation.

Specified by:
  `getFunctionConfigurationAsync` in interface `AWSLambdaAsync`
Returns:
  A Java Future containing the result of the GetFunctionConfiguration operation returned by the service.

#### getFunctionConfigurationAsync

    public Future<GetFunctionConfigurationResult> getFunctionConfigurationAsync(GetFunctionConfigurationRequest request,
                                                                                AsyncHandler<GetFunctionConfigurationRequest,GetFunctionConfigurationResult> asyncHandler)

Description copied from interface: `AWSLambdaAsync`

Returns the configuration information of the Lambda function. This the same information you provided as parameters when uploading the function by using CreateFunction.

If you are using the versioning feature, you can retrieve this information for a specific function version by using the optional `Qualifier` parameter and specifying the function version or alias that points to it. If you don't provide it, the API returns information about the $LATEST version of the function. For more information about versioning, see AWS Lambda Function Versioning and Aliases.

This operation requires permission for the `lambda:GetFunctionConfiguration` operation.

Specified by:
  `getFunctionConfigurationAsync` in interface `AWSLambdaAsync`
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the GetFunctionConfiguration operation returned by the service.

#### getPolicyAsync

    public Future<GetPolicyResult> getPolicyAsync(GetPolicyRequest request)

Description copied from interface: `AWSLambdaAsync`

Returns the resource policy associated with the specified Lambda function.

If you are using the versioning feature, you can get the resource policy associated with the specific Lambda function version or alias by specifying the version or alias name using the `Qualifier` parameter. For more information about versioning, see AWS Lambda Function Versioning and Aliases.

For information about adding permissions, see AddPermission.

You need permission for the `lambda:GetPolicy action.`

Specified by:
  `getPolicyAsync` in interface `AWSLambdaAsync`
Returns:
  A Java Future containing the result of the GetPolicy operation returned by the service.

#### getPolicyAsync

    public Future<GetPolicyResult> getPolicyAsync(GetPolicyRequest request,
                                                  AsyncHandler<GetPolicyRequest,GetPolicyResult> asyncHandler)

Description copied from interface: `AWSLambdaAsync`

Returns the resource policy associated with the specified Lambda function.

If you are using the versioning feature, you can get the resource policy associated with the specific Lambda function version or alias by specifying the version or alias name using the `Qualifier` parameter. For more information about versioning, see AWS Lambda Function Versioning and Aliases.

For information about adding permissions, see AddPermission.

You need permission for the `lambda:GetPolicy action.`

Specified by:
  `getPolicyAsync` in interface `AWSLambdaAsync`
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the GetPolicy operation returned by the service.

#### invokeAsync

    public Future<InvokeResult> invokeAsync(InvokeRequest request)

Description copied from interface: `AWSLambdaAsync`

Invokes a specific Lambda function. For an example, see Create the Lambda Function and Test It Manually.

If you are using the versioning feature, you can invoke the specific function version by providing function version or alias name that is pointing to the function version using the `Qualifier` parameter in the request. If you don't provide the `Qualifier` parameter, the `$LATEST` version of the Lambda function is invoked. Invocations occur at least once in response to an event and functions must be idempotent to handle this. For information about the versioning feature, see AWS Lambda Function Versioning and Aliases.

This operation requires permission for the `lambda:InvokeFunction` action.

Specified by:
  `invokeAsync` in interface `AWSLambdaAsync`
Returns:
  A Java Future containing the result of the Invoke operation returned by the service.

#### invokeAsync

    public Future<InvokeResult> invokeAsync(InvokeRequest request,
                                            AsyncHandler<InvokeRequest,InvokeResult> asyncHandler)

Description copied from interface: `AWSLambdaAsync`

Invokes a specific Lambda function. For an example, see Create the Lambda Function and Test It Manually.

If you are using the versioning feature, you can invoke the specific function version by providing function version or alias name that is pointing to the function version using the `Qualifier` parameter in the request. If you don't provide the `Qualifier` parameter, the `$LATEST` version of the Lambda function is invoked. Invocations occur at least once in response to an event and functions must be idempotent to handle this. For information about the versioning feature, see AWS Lambda Function Versioning and Aliases.

This operation requires permission for the `lambda:InvokeFunction` action.

Specified by:
  `invokeAsync` in interface `AWSLambdaAsync`
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the Invoke operation returned by the service.

#### invokeAsyncAsync

    @Deprecated
    public Future<InvokeAsyncResult> invokeAsyncAsync(InvokeAsyncRequest request)

Deprecated.
Description copied from interface: `AWSLambdaAsync`
<important>

This API is deprecated. We recommend you use `Invoke` API (see Invoke).

</important>

Submits an invocation request to AWS Lambda. Upon receiving the request, Lambda executes the specified function asynchronously. To see the logs generated by the Lambda function execution, see the CloudWatch Logs console.

This operation requires permission for the `lambda:InvokeFunction` action.

Specified by:
  `invokeAsyncAsync` in interface `AWSLambdaAsync`
Returns:
  A Java Future containing the result of the InvokeAsync operation returned by the service.

#### invokeAsyncAsync

    @Deprecated
    public Future<InvokeAsyncResult> invokeAsyncAsync(InvokeAsyncRequest request,
                                                                  AsyncHandler<InvokeAsyncRequest,InvokeAsyncResult> asyncHandler)

Deprecated.
Description copied from interface: `AWSLambdaAsync`
<important>

This API is deprecated. We recommend you use `Invoke` API (see Invoke).

</important>

Submits an invocation request to AWS Lambda. Upon receiving the request, Lambda executes the specified function asynchronously. To see the logs generated by the Lambda function execution, see the CloudWatch Logs console.

This operation requires permission for the `lambda:InvokeFunction` action.

Specified by:
  `invokeAsyncAsync` in interface `AWSLambdaAsync`
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the InvokeAsync operation returned by the service.

#### listAliasesAsync

    public Future<ListAliasesResult> listAliasesAsync(ListAliasesRequest request)

Description copied from interface: `AWSLambdaAsync`

Returns list of aliases created for a Lambda function. For each alias, the response includes information such as the alias ARN, description, alias name, and the function version to which it points. For more information, see Introduction to AWS Lambda Aliases.

This requires permission for the lambda:ListAliases action.

Specified by:
  `listAliasesAsync` in interface `AWSLambdaAsync`
Returns:
  A Java Future containing the result of the ListAliases operation returned by the service.

#### listAliasesAsync

    public Future<ListAliasesResult> listAliasesAsync(ListAliasesRequest request,
                                                      AsyncHandler<ListAliasesRequest,ListAliasesResult> asyncHandler)

Description copied from interface: `AWSLambdaAsync`

Returns list of aliases created for a Lambda function. For each alias, the response includes information such as the alias ARN, description, alias name, and the function version to which it points. For more information, see Introduction to AWS Lambda Aliases.

This requires permission for the lambda:ListAliases action.

Specified by:
  `listAliasesAsync` in interface `AWSLambdaAsync`
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the ListAliases operation returned by the service.

#### listEventSourceMappingsAsync

    public Future<ListEventSourceMappingsResult> listEventSourceMappingsAsync(ListEventSourceMappingsRequest request)

Description copied from interface: `AWSLambdaAsync`

Returns a list of event source mappings you created using the `CreateEventSourceMapping` (see CreateEventSourceMapping).

For each mapping, the API returns configuration information. You can optionally specify filters to retrieve specific event source mappings.

If you are using the versioning feature, you can get list of event source mappings for a specific Lambda function version or an alias as described in the `FunctionName` parameter. For information about the versioning feature, see AWS Lambda Function Versioning and Aliases.

This operation requires permission for the `lambda:ListEventSourceMappings` action.

Specified by:
  `listEventSourceMappingsAsync` in interface `AWSLambdaAsync`
Returns:
  A Java Future containing the result of the ListEventSourceMappings operation returned by the service.

#### listEventSourceMappingsAsync

    public Future<ListEventSourceMappingsResult> listEventSourceMappingsAsync(ListEventSourceMappingsRequest request,
                                                                              AsyncHandler<ListEventSourceMappingsRequest,ListEventSourceMappingsResult> asyncHandler)

Description copied from interface: `AWSLambdaAsync`

Returns a list of event source mappings you created using the `CreateEventSourceMapping` (see CreateEventSourceMapping).

For each mapping, the API returns configuration information. You can optionally specify filters to retrieve specific event source mappings.

If you are using the versioning feature, you can get list of event source mappings for a specific Lambda function version or an alias as described in the `FunctionName` parameter. For information about the versioning feature, see AWS Lambda Function Versioning and Aliases.

This operation requires permission for the `lambda:ListEventSourceMappings` action.

Specified by:
  `listEventSourceMappingsAsync` in interface `AWSLambdaAsync`
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the ListEventSourceMappings operation returned by the service.

#### listEventSourceMappingsAsync

    public Future<ListEventSourceMappingsResult> listEventSourceMappingsAsync()

Simplified method form for invoking the ListEventSourceMappings operation.

Specified by:
  `listEventSourceMappingsAsync` in interface `AWSLambdaAsync`
See Also:
  `listEventSourceMappingsAsync(ListEventSourceMappingsRequest)`

#### listEventSourceMappingsAsync

    public Future<ListEventSourceMappingsResult> listEventSourceMappingsAsync(AsyncHandler<ListEventSourceMappingsRequest,ListEventSourceMappingsResult> asyncHandler)

Simplified method form for invoking the ListEventSourceMappings operation with an AsyncHandler.

Specified by:
  `listEventSourceMappingsAsync` in interface `AWSLambdaAsync`
See Also:
  `listEventSourceMappingsAsync(ListEventSourceMappingsRequest, com.amazonaws.handlers.AsyncHandler)`

#### listFunctionsAsync

    public Future<ListFunctionsResult> listFunctionsAsync(ListFunctionsRequest request)

Description copied from interface: `AWSLambdaAsync`

Returns a list of your Lambda functions. For each function, the response includes the function configuration information. You must use GetFunction to retrieve the code for your function.

This operation requires permission for the `lambda:ListFunctions` action.

If you are using versioning feature, the response returns list of $LATEST versions of your functions. For information about the versioning feature, see AWS Lambda Function Versioning and Aliases.

Specified by:
  `listFunctionsAsync` in interface `AWSLambdaAsync`
Returns:
  A Java Future containing the result of the ListFunctions operation returned by the service.

#### listFunctionsAsync

    public Future<ListFunctionsResult> listFunctionsAsync(ListFunctionsRequest request,
                                                          AsyncHandler<ListFunctionsRequest,ListFunctionsResult> asyncHandler)

Description copied from interface: `AWSLambdaAsync`

Returns a list of your Lambda functions. For each function, the response includes the function configuration information. You must use GetFunction to retrieve the code for your function.

This operation requires permission for the `lambda:ListFunctions` action.

If you are using versioning feature, the response returns list of $LATEST versions of your functions. For information about the versioning feature, see AWS Lambda Function Versioning and Aliases.

Specified by:
  `listFunctionsAsync` in interface `AWSLambdaAsync`
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the ListFunctions operation returned by the service.

#### listFunctionsAsync

    public Future<ListFunctionsResult> listFunctionsAsync()

Simplified method form for invoking the ListFunctions operation.

Specified by:
  `listFunctionsAsync` in interface `AWSLambdaAsync`
See Also:
  `listFunctionsAsync(ListFunctionsRequest)`

#### listFunctionsAsync

    public Future<ListFunctionsResult> listFunctionsAsync(AsyncHandler<ListFunctionsRequest,ListFunctionsResult> asyncHandler)

Simplified method form for invoking the ListFunctions operation with an AsyncHandler.

Specified by:
  `listFunctionsAsync` in interface `AWSLambdaAsync`
See Also:
  `listFunctionsAsync(ListFunctionsRequest, com.amazonaws.handlers.AsyncHandler)`

#### listVersionsByFunctionAsync

    public Future<ListVersionsByFunctionResult> listVersionsByFunctionAsync(ListVersionsByFunctionRequest request)

Description copied from interface: `AWSLambdaAsync`

List all versions of a function. For information about the versioning feature, see AWS Lambda Function Versioning and Aliases.

Specified by:
  `listVersionsByFunctionAsync` in interface `AWSLambdaAsync`
Returns:
  A Java Future containing the result of the ListVersionsByFunction operation returned by the service.

#### listVersionsByFunctionAsync

    public Future<ListVersionsByFunctionResult> listVersionsByFunctionAsync(ListVersionsByFunctionRequest request,
                                                                            AsyncHandler<ListVersionsByFunctionRequest,ListVersionsByFunctionResult> asyncHandler)

Description copied from interface: `AWSLambdaAsync`

List all versions of a function. For information about the versioning feature, see AWS Lambda Function Versioning and Aliases.

Specified by:
  `listVersionsByFunctionAsync` in interface `AWSLambdaAsync`
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the ListVersionsByFunction operation returned by the service.

#### publishVersionAsync

    public Future<PublishVersionResult> publishVersionAsync(PublishVersionRequest request)

Description copied from interface: `AWSLambdaAsync`

Publishes a version of your function from the current snapshot of $LATEST. That is, AWS Lambda takes a snapshot of the function code and configuration information from $LATEST and publishes a new version. The code and configuration cannot be modified after publication. For information about the versioning feature, see AWS Lambda Function Versioning and Aliases.

Specified by:
  `publishVersionAsync` in interface `AWSLambdaAsync`
Returns:
  A Java Future containing the result of the PublishVersion operation returned by the service.

#### publishVersionAsync

    public Future<PublishVersionResult> publishVersionAsync(PublishVersionRequest request,
                                                            AsyncHandler<PublishVersionRequest,PublishVersionResult> asyncHandler)

Description copied from interface: `AWSLambdaAsync`

Publishes a version of your function from the current snapshot of $LATEST. That is, AWS Lambda takes a snapshot of the function code and configuration information from $LATEST and publishes a new version. The code and configuration cannot be modified after publication. For information about the versioning feature, see AWS Lambda Function Versioning and Aliases.

Specified by:
  `publishVersionAsync` in interface `AWSLambdaAsync`
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the PublishVersion operation returned by the service.

#### removePermissionAsync

    public Future<RemovePermissionResult> removePermissionAsync(RemovePermissionRequest request)

Description copied from interface: `AWSLambdaAsync`

You can remove individual permissions from an resource policy associated with a Lambda function by providing a statement ID that you provided when you added the permission.

If you are using versioning, the permissions you remove are specific to the Lambda function version or alias you specify in the `AddPermission` request via the `Qualifier` parameter. For more information about versioning, see AWS Lambda Function Versioning and Aliases.

Note that removal of a permission will cause an active event source to lose permission to the function.

You need permission for the `lambda:RemovePermission` action.

Specified by:
  `removePermissionAsync` in interface `AWSLambdaAsync`
Returns:
  A Java Future containing the result of the RemovePermission operation returned by the service.

#### removePermissionAsync

    public Future<RemovePermissionResult> removePermissionAsync(RemovePermissionRequest request,
                                                                AsyncHandler<RemovePermissionRequest,RemovePermissionResult> asyncHandler)

Description copied from interface: `AWSLambdaAsync`

You can remove individual permissions from an resource policy associated with a Lambda function by providing a statement ID that you provided when you added the permission.

If you are using versioning, the permissions you remove are specific to the Lambda function version or alias you specify in the `AddPermission` request via the `Qualifier` parameter. For more information about versioning, see AWS Lambda Function Versioning and Aliases.

Note that removal of a permission will cause an active event source to lose permission to the function.

You need permission for the `lambda:RemovePermission` action.

Specified by:
  `removePermissionAsync` in interface `AWSLambdaAsync`
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the RemovePermission operation returned by the service.

#### updateAliasAsync

    public Future<UpdateAliasResult> updateAliasAsync(UpdateAliasRequest request)

Description copied from interface: `AWSLambdaAsync`

Using this API you can update the function version to which the alias points and the alias description. For more information, see Introduction to AWS Lambda Aliases.

This requires permission for the lambda:UpdateAlias action.

Specified by:
  `updateAliasAsync` in interface `AWSLambdaAsync`
Returns:
  A Java Future containing the result of the UpdateAlias operation returned by the service.

#### updateAliasAsync

    public Future<UpdateAliasResult> updateAliasAsync(UpdateAliasRequest request,
                                                      AsyncHandler<UpdateAliasRequest,UpdateAliasResult> asyncHandler)

Description copied from interface: `AWSLambdaAsync`

Using this API you can update the function version to which the alias points and the alias description. For more information, see Introduction to AWS Lambda Aliases.

This requires permission for the lambda:UpdateAlias action.

Specified by:
  `updateAliasAsync` in interface `AWSLambdaAsync`
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the UpdateAlias operation returned by the service.

#### updateEventSourceMappingAsync

    public Future<UpdateEventSourceMappingResult> updateEventSourceMappingAsync(UpdateEventSourceMappingRequest request)

Description copied from interface: `AWSLambdaAsync`

You can update an event source mapping. This is useful if you want to change the parameters of the existing mapping without losing your position in the stream. You can change which function will receive the stream records, but to change the stream itself, you must create a new mapping.

If you are using the versioning feature, you can update the event source mapping to map to a specific Lambda function version or alias as described in the `FunctionName` parameter. For information about the versioning feature, see AWS Lambda Function Versioning and Aliases.

If you disable the event source mapping, AWS Lambda stops polling. If you enable again, it will resume polling from the time it had stopped polling, so you don't lose processing of any records. However, if you delete event source mapping and create it again, it will reset.

This operation requires permission for the `lambda:UpdateEventSourceMapping` action.

Specified by:
  `updateEventSourceMappingAsync` in interface `AWSLambdaAsync`
Returns:
  A Java Future containing the result of the UpdateEventSourceMapping operation returned by the service.

#### updateEventSourceMappingAsync

    public Future<UpdateEventSourceMappingResult> updateEventSourceMappingAsync(UpdateEventSourceMappingRequest request,
                                                                                AsyncHandler<UpdateEventSourceMappingRequest,UpdateEventSourceMappingResult> asyncHandler)

Description copied from interface: `AWSLambdaAsync`

You can update an event source mapping. This is useful if you want to change the parameters of the existing mapping without losing your position in the stream. You can change which function will receive the stream records, but to change the stream itself, you must create a new mapping.

If you are using the versioning feature, you can update the event source mapping to map to a specific Lambda function version or alias as described in the `FunctionName` parameter. For information about the versioning feature, see AWS Lambda Function Versioning and Aliases.

If you disable the event source mapping, AWS Lambda stops polling. If you enable again, it will resume polling from the time it had stopped polling, so you don't lose processing of any records. However, if you delete event source mapping and create it again, it will reset.

This operation requires permission for the `lambda:UpdateEventSourceMapping` action.

Specified by:
  `updateEventSourceMappingAsync` in interface `AWSLambdaAsync`
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the UpdateEventSourceMapping operation returned by the service.

#### updateFunctionCodeAsync

    public Future<UpdateFunctionCodeResult> updateFunctionCodeAsync(UpdateFunctionCodeRequest request)

Description copied from interface: `AWSLambdaAsync`

Updates the code for the specified Lambda function. This operation must only be used on an existing Lambda function and cannot be used to update the function configuration.

If you are using the versioning feature, note this API will always update the $LATEST version of your Lambda function. For information about the versioning feature, see AWS Lambda Function Versioning and Aliases.

This operation requires permission for the `lambda:UpdateFunctionCode` action.

Specified by:
  `updateFunctionCodeAsync` in interface `AWSLambdaAsync`
Returns:
  A Java Future containing the result of the UpdateFunctionCode operation returned by the service.

#### updateFunctionCodeAsync

    public Future<UpdateFunctionCodeResult> updateFunctionCodeAsync(UpdateFunctionCodeRequest request,
                                                                    AsyncHandler<UpdateFunctionCodeRequest,UpdateFunctionCodeResult> asyncHandler)

Description copied from interface: `AWSLambdaAsync`

Updates the code for the specified Lambda function. This operation must only be used on an existing Lambda function and cannot be used to update the function configuration.

If you are using the versioning feature, note this API will always update the $LATEST version of your Lambda function. For information about the versioning feature, see AWS Lambda Function Versioning and Aliases.

This operation requires permission for the `lambda:UpdateFunctionCode` action.

Specified by:
  `updateFunctionCodeAsync` in interface `AWSLambdaAsync`
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the UpdateFunctionCode operation returned by the service.

#### updateFunctionConfigurationAsync

    public Future<UpdateFunctionConfigurationResult> updateFunctionConfigurationAsync(UpdateFunctionConfigurationRequest request)

Description copied from interface: `AWSLambdaAsync`

Updates the configuration parameters for the specified Lambda function by using the values provided in the request. You provide only the parameters you want to change. This operation must only be used on an existing Lambda function and cannot be used to update the function's code.

If you are using the versioning feature, note this API will always update the $LATEST version of your Lambda function. For information about the versioning feature, see AWS Lambda Function Versioning and Aliases.

This operation requires permission for the `lambda:UpdateFunctionConfiguration` action.

Specified by:
  `updateFunctionConfigurationAsync` in interface `AWSLambdaAsync`
Returns:
  A Java Future containing the result of the UpdateFunctionConfiguration operation returned by the service.

#### updateFunctionConfigurationAsync

    public Future<UpdateFunctionConfigurationResult> updateFunctionConfigurationAsync(UpdateFunctionConfigurationRequest request,
                                                                                      AsyncHandler<UpdateFunctionConfigurationRequest,UpdateFunctionConfigurationResult> asyncHandler)

Description copied from interface: `AWSLambdaAsync`

Updates the configuration parameters for the specified Lambda function by using the values provided in the request. You provide only the parameters you want to change. This operation must only be used on an existing Lambda function and cannot be used to update the function's code.

If you are using the versioning feature, note this API will always update the $LATEST version of your Lambda function. For information about the versioning feature, see AWS Lambda Function Versioning and Aliases.

This operation requires permission for the `lambda:UpdateFunctionConfiguration` action.

Specified by:
  `updateFunctionConfigurationAsync` in interface `AWSLambdaAsync`
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the UpdateFunctionConfiguration operation returned by the service.